// File single_shape.scad
// (c) 2023 Rich Cameron, for the book Make:Trigonometry
// Licensed under a Creative Commons, Attribution,
// CC-BY 4.0 international license, per
// https://creativecommons.org/licenses/by/4.0/
// Attribute to Rich Cameron, at
// repository github.com/whosawhatsis/Trigonometry

s = 20; // length of a side, mm
n = 3; // number of sides
t = 2; // thickness in mm - set to 0 for 2D
if(t) cylinder(r = s / (2 * sin(180 / n)), h = t, $fn = n);
else circle(s / (2 * sin(180 / n)), $fn = n);

